Core - Feature # 10642

Status: Closed Priority: Must have
Author: Steffen Gebert Category: Workspaces
Created: 2010-11-05 Assigned To: Lars Zimmermann
Updated: 2013-12-10 Due date:

PHP Version:

Complexity:

Sprint Focus:

Subject: Implement workspace preview

Description

#9472 presents a new design for the workspace preview window. We need a CSS styling for it.
Purpose: This screen is shown, when you preview changes made in a workspace, which aren't "live", yet. It is shown as an iframe
above your Frontend website.

- Please use the attached ws_preview.html file
- Create an ExtJS skin for it to adjust the styling

This doesn't require changes to the TYPO3 source itself, just reference the CSS file in ws_preview.html.

Presenting intermediate results is very welcome!

Related issues:

related to TYPO3 CMS Usability Team - Suggestion # 9472: Workspace module red... Resolved 2010-08-26
related to Core - Task # 12527: Split View Improvements: Divider for split vi... Accepted 2011-01-25
History

#1 - 2010-11-05 11:53 - Lars Zimmermann
- File entwurf_4.5-workspaces_03-vergleichsscreens.psd added

#2 - 2010-11-05 12:06 - Steffen Gebert
- File workspace-preview.jpg added

#3 - 2010-11-05 12:08 - Steffen Gebert
- File workspace-preview-thumb.jpg added

#4 - 2010-11-08 21:32 - Tolleiv Nietsch

- File ws_preview.html added

ws_review.html is a first draft made by Steffen Kamper and me - demonstrates the slider functionality.

Problem at the moment is that the scrollbars within the preview-iFrames can't be harmonized because this might/will raise security warnings (due to

XSS) ... feel free to contact me if you've any questions for this.
http://forge.typo3.org/attachments/4236/ws_preview.html

Just place the attached file in the root of any TYPO3 installation (which uses typo3-trunk) and you'll see the magic ;)

#5 - 2010-11-22 20:50 - Steffen Gebert

- Priority changed from Should have to Must have

#6 - 2010-11-26 17:02 - Steffen Gebert
- Assigned To set to Jose Padilla

#7 - 2010-11-29 16:04 - José Padilla

Couple Notes about the progress on this task:

I'm currently working on thecontainer with class "x-toolbar-ct" | have a question about this:

- Currently | see the buttons: "live Maximum","Workspace Maximum" and the slider, In the PSD file attached | see the buttons Publish, Reject

Drop, Changes and Help which | believe belong to the table with class "x-toolbar-right..." | can't see these 4 right buttons in the provided html file,

should | focus for now in the 2 left buttons and the slider? or there is a newer version of the ws_preview.html file?

Let me know

Thanks!

#8 - 2010-11-29 16:13 - Steffen Gebert

Thanks, José! I've pointed Tolleiv Nietsch to this issue, hope he can help you!

Steffen

#9 - 2010-11-29 16:44 - Tolleiv Nietsch

- File ws_preview_rev9480.html added

Hi,

basicially the screenshot is where we're planning to go with 4.5. Except that we will not have the "Publish", "Reject" and "Drop changes" buttons - these

will hopefully be added in 4.6.

Besides that the ws_preview.html was only meant as a proof of concept, to show how we're planning to work with the slider.

The current implementation for the workspace-preview which we have in TYPOS trunk can be found in
typo3/sysext/workspaces/Resources/Public/JavaScript/preview.js (attached ws_preview_rev9480.html to have an easy start ;) ...). It's rather simple
and does not include the slider yet. But the slider will be included as soon as we have a working version which is able to handle multiple domains as
well.

As you see our setup is not final yet and you're also free to make suggestions for a better structure - hope that answered your questions..

#10 - 2010-12-01 04:07 - José Padilla

- File xtheme-t3skin.diff added
- File workspace-styles-thumb.png added
Hi Everyone, Attached here is the diff file with a screenshot fof the current status of this task, let me know if there are fixes and of course comment that

helps to improve this.

Thanks

#11 - 2010-12-01 10:47 - Steffen Gebert
- File f10642-skin.css added
- File f10642-skin.diff added

Hi José,

so you started your work based on the xtheme-t3skin.css of the TYPO3 backend?
As pointed out, it should have better been started from a clean state and only add the rules neccessarry for the toolbar (as it would be the beginning of
a TYPOS Frontend skin). Nevermind, we will get this managed ;)

workspaces team:

| would suppose to include the attached css file and use it as skin for the moment. I've only made a little adjustment. If you want to see the differences,

I've attached a diff file.

jose:

could you try just using the changes you made (by using the lines, which get added by the .diff file, somewhen the next days) and add the missing
rules, which are still needed after throwing the rest from the original xtheme-t3skin.css away?

I'm handling this issue over to the WS tracker. Please give feedback!

Thanks to all of you for you contributions!
Steffen

#12 - 2010-12-01 10:47 - Steffen Gebert
- Tracker changed from Task to Feature
- Project changed from 1522 to Workspaces & Versioning

- Status changed from New to Needs Feedback

#13 - 2010-12-17 10:56 - Tolleiv Nietsch

- Assigned To changed from Jose Padilla to Steffen Gebert

Hi - it seems that the attached files still work on the wrong base.

Our official Javascripts now include the slider and but the attached CSS does not work with it (or at least I'm not able to get them to work)

@SteffenG - how about a Skype meeting to clarify how to proceed?

#14 - 2010-12-17 10:57 - Tolleiv Nietsch

- Target version set to 4.5 Beta 3

#15 - 2010-12-18 00:27 - Steffen Gebert

- File ws-comparison.png added
- File f10642-v2.diff added
The current status:
ws-comparison.png
Open issues:

- Somehow place the slider next to the tabs.
- Place the TYPOS logo inside

#16 - 2010-12-18 00:28 - Steffen Gebert

- File f10642-v2.zip added

#17 - 2010-12-19 11:04 - Tolleiv Nietsch

- File f10642-v3.diff added

Hi - | made a few changes on my own - v3 attached.

In addition the typo3logo_mini.png also needs to be placed in our Resources/Public/Images folder - as we can't reference the original one.

I guess I'll try to get in contact with Steffen Kamper to find out how we can move the slider up into the top-bar.

#18 - 2010-12-20 11:43 - Steffen Gebert

- File f10642_v4.png added

- File f10642_v4.diff added

- File f10642_v4.zip added

Ah, sorry Tolleiv, forgot to incorporate your update. What did you change?

Attached a (maybe last) version, which looks pretty much like the screen shot. SteffenK made the positioning possible. | think, if we want, we could
also move the Help button to the right.

f10642_v4.png

#19 - 2010-12-20 18:42 - Tolleiv Nietsch

ah great no problem - you already included most of my stuff - going to check your stuff this evening - great work :)

#20 - 2010-12-20 22:28 - Tolleiv Nietsch

wow looks great - so moving the "Help" tab to the left is no big issue (visiual tab gets the 140px as margin-left and help floats right) - but moving the
slider behind the tabs can't be done properly without Javascript - right?

#21 - 2010-12-20 22:34 - Steffen Gebert

Attached v5, which adds styles for other browsers.

SteffenK meant it should be possible, to move it to the right.
#22 - 2010-12-21 14:01 - Steffen Gebert
- File f10642_v5.diff added

#23 - 2010-12-21 20:40 - Tolleiv Nietsch

v5 looks fine for me too (even in other browsers Chrome, Opera, |IE) - when do you plan to commit it?

#24 - 2010-12-22 13:27 - Steffen Gebert

- Status changed from Needs Feedback to Resolved
- % Done changed from 0 to 100

rev. 3532

#25 - 2011-01-16 15:31 - Jens Hoffmann

- Status changed from Resolved to New

- Assigned To changed from Steffen Gebert to Lars Zimmermann
- Target version changed from 4.5 Beta 3 to 4.5 RC1

- % Done changed from 100 to 90

Looks very nice, beside the "red separator” ..
| will contact Lars to find a better solution. :)

Greez Jens

#26 - 2011-01-16 15:33 - Steffen Gebert

ACK, but please keep it simple ;)

#27 - 2011-01-22 01:38 - Tolleiv Nietsch
- Status changed from New to Needs Feedback

Any news?

#28 - 2011-01-27 22:07 - Tolleiv Nietsch

Hi - actually we need some nice visual divider for all three modes, because even in the vertical or horizontal layouts it's hard to separate both views

(see #12527)

#29 - 2011-02-07 18:09 - Sonja Schubert

- Status changed from Needs Feedback to Closed

#30 - 2013-12-10 01:07 - Michael Stucki
- Category set to Workspaces
#31 - 2013-12-10 01:09 - Michael Stucki

- Project changed from Workspaces & Versioning to Core
- Category changed from Workspaces to Workspaces

- Target version deleted (4.5 RC1)
